<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">

    <h:form id="view_config_form">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="view_config"/>
            <ui:param name="styleClass" value="modal-lg"/>
            <ui:define name="popup_title">
                <s:span styleClass="gzl-icon-info-circle"/>
                <h:outputText value="#{messages['net.ihe.gazelle.mca.ViewConfiguration']}"/>
            </ui:define>

            <s:div styleClass="form-horizontal">

                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:param name="id" value="docTypeViewId"/>
                    <ui:define name="label">
                        <h:outputText value="#{messages['net.ihe.gazelle.mca.DocumentType']}"/>
                        <ui:decorate template="/config/descriptionPopover/_description_popover.xhtml">
                            <ui:param name="id" value="docTypeInfoId"/>
                            <ui:define name="content">
                                <h:outputText value="#{messages['net.ihe.gazelle.mca.TheLabelThatWillBeUsedForDetectedPartsInAnalysis']}"/>
                            </ui:define>
                        </ui:decorate>

                    </ui:define>
                    <h:outputText value="#{configBeanGui.getSelectedConfig().docType}"/>
                </s:decorate>

                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:param name="id" value="validationTypeViewId"/>
                    <ui:define name="label">
                        <h:outputText value="#{messages['net.ihe.gazelle.mca.ValidationType_2']}"/>
                        <ui:decorate template="/config/descriptionPopover/_description_popover.xhtml">
                            <ui:param name="id" value="validationTypeInfoId"/>
                            <ui:define name="content">
                                <h:outputText value="#{messages['net.ihe.gazelle.mca.TheValidationTypeThatWillBeSentToTheRemoteValida']}"/>
                            </ui:define>
                        </ui:decorate>
                    </ui:define>
                    <h:outputText
                            value="#{configBeanGui.getSelectedConfig().getValidationType() != null?
                                configBeanGui.getSelectedConfig().getValidationType().getValue():'N/A'} "/>
                </s:decorate>

                <s:div rendered="#{configBeanGui.getSelectedConfig() != null and configBeanGui.getSelectedContentAnalysisConfig() != null}">

                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:param name="id" value="unwantedContentViewId"/>
                        <ui:define name="label">
                            <h:outputText value="#{messages['net.ihe.gazelle.mca.UnwantedContent']}"/>
                            <ui:decorate template="/config/descriptionPopover/_description_popover.xhtml">
                                <ui:param name="id" value="unwantedContentInfoId"/>
                                <ui:define name="content">
                                    <h:outputText value="#{messages['net.ihe.gazelle.mca.StringThatIsNotWantedWithinTheStringContentOfThe']}"/>
                                </ui:define>
                            </ui:decorate>
                        </ui:define>
                        <h:outputText value="#{configBeanGui.getSelectedContentAnalysisConfig().getUnwantedContent() != null?
                                configBeanGui.getSelectedContentAnalysisConfig().getUnwantedContent():'N/A'} "/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:param name="id" value="bytePatternViewId"/>
                        <ui:define name="label">
                            <h:outputText value="#{messages['net.ihe.gazelle.mca.BytePattern']}"/>
                            <ui:decorate template="/config/descriptionPopover/_description_popover.xhtml">
                                <ui:param name="id" value="bytePatternInfoId"/>
                                <ui:define name="content">
                                    <h:outputText value="#{messages['net.ihe.gazelle.mca.BytePatternThatMustBeDetectedAtTheBeginningOfThe']}"/>
                                </ui:define>
                            </ui:decorate>
                        </ui:define>
                        <h:outputText value="#{(configBeanGui.getSelectedBytePattern()!=null)?
                                configBeanGui.getSelectedBytePattern():'N/A'}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:param name="id" value="startsWithViewId"/>
                        <ui:define name="label">
                            <h:outputText value="#{messages['net.ihe.gazelle.mca.StartElements']}"/>
                            <ui:decorate template="/config/descriptionPopover/_description_popover.xhtml">
                                <ui:param name="id" value="startElementsInfoId"/>
                                <ui:define name="content">
                                    <h:outputText value="#{messages['net.ihe.gazelle.mca.AListOfStringElementsAnalyzedObjectContentMustSt']}"/>
                                </ui:define>
                            </ui:decorate>
                        </ui:define>

                        <s:div id="startElementsList" rendered="#{configBeanGui.getSelectedContentAnalysisConfig().getStartsWith() != null
                                and !configBeanGui.getSelectedContentAnalysisConfig().getStartsWith().isEmpty()}">
                            <ul>
                                <ui:repeat value="#{configBeanGui.getSelectedContentAnalysisConfig().getStartsWith()}" var="startElement">
                                    <li>
                                        <h:outputText value="#{startElement}"/>
                                    </li>
                                </ui:repeat>
                            </ul>
                        </s:div>

                        <h:outputText rendered="#{configBeanGui.getSelectedContentAnalysisConfig().getStartsWith() == null
                                or configBeanGui.getSelectedContentAnalysisConfig().getStartsWith().isEmpty()}" value="#{messages['net.ihe.gazelle.mca.NA']}"/>
                    </s:decorate>


                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:param name="id" value="stringPatternViewId"/>
                        <ui:define name="label">
                            <h:outputText value="#{messages['net.ihe.gazelle.mca.Regex']}"/>
                            <ui:decorate template="/config/descriptionPopover/_description_popover.xhtml">
                                <ui:param name="id" value="stringPatternInfoId"/>
                                <ui:define name="content">
                                    <h:outputText value="#{messages['net.ihe.gazelle.mca.RegularExpressionThatMustMatchPartOfTheAnalyzedO']}"/>
                                </ui:define>
                            </ui:decorate>
                        </ui:define>
                        <h:outputText value="#{configBeanGui.getSelectedContentAnalysisConfig().getStringPattern() != null?
                                configBeanGui.getSelectedContentAnalysisConfig().getStringPattern():'N/A'} "/>
                    </s:decorate>

                </s:div>

                <s:div rendered="#{configBeanGui.getSelectedConfig() != null and configBeanGui.getSelectedMimeTypeConfig() != null}">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:param name="id" value="mimeTypeViewId"/>
                        <ui:define name="label">
                            <h:outputText value="#{messages['net.ihe.gazelle.mca.MimeType']}"/>
                            <ui:decorate template="/config/descriptionPopover/_description_popover.xhtml">
                                <ui:param name="id" value="mimeTypeInfoId"/>
                                <ui:define name="content">
                                    <h:outputText value="#{messages['net.ihe.gazelle.mca.MimeTypeToBeDetectedForTheAnalyzedObjectToMatchT']}"/>
                                </ui:define>
                            </ui:decorate>
                        </ui:define>
                        <h:outputText value="#{configBeanGui.selectedMimeTypeConfig.mimeType}"/>
                    </s:decorate>
                </s:div>

                <s:div rendered="#{configBeanGui.getSelectedConfig() != null and configBeanGui.getSelectedTagConfig() != null}">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:param name="id" value="tagViewId"/>
                        <ui:define name="label">
                            <h:outputText value="#{messages['net.ihe.gazelle.mca.Tag']}"/>
                            <ui:decorate template="/config/descriptionPopover/_description_popover.xhtml">
                                <ui:param name="id" value="tagInfoId"/>
                                <ui:define name="content">
                                    <h:outputText value="#{messages['net.ihe.gazelle.mca.XMLTagNameToBeFoundInTheAnalyzedObjectContentItI']}"/>
                                </ui:define>
                            </ui:decorate>
                        </ui:define>
                        <h:outputText value="#{configBeanGui.selectedTagConfig.tag}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:param name="id" value="namespaceViewId"/>
                        <ui:define name="label">
                            <h:outputText value="#{messages['net.ihe.gazelle.mca.Namespace']}"/>
                            <ui:decorate template="/config/descriptionPopover/_description_popover.xhtml">
                                <ui:param name="id" value="namespaceInfoId"/>
                                <ui:define name="content">
                                    <h:outputText value="#{messages['net.ihe.gazelle.mca.NamespaceDefinedForTheTagIfNullThisConfiguration']}"/>
                                </ui:define>
                            </ui:decorate>
                        </ui:define>
                        <h:outputText value="#{configBeanGui.getSelectedTagConfig().getNamespace() != null?
                                configBeanGui.getSelectedTagConfig().getNamespace():'N/A'} "/>
                    </s:decorate>
                </s:div>

                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:param name="id" value="sampleViewId"/>
                    <ui:define name="label">
                        <h:outputText value="#{messages['net.ihe.gazelle.mca.Sample']}"/>
                        <ui:decorate template="/config/descriptionPopover/_description_popover.xhtml">
                            <ui:param name="id" value="sampleInfoId"/>
                            <ui:define name="content">
                                <h:outputText value="#{messages['net.ihe.gazelle.mca.ExampleOfAnalyzedObjectContentThatWouldMatchThis']}"/>
                            </ui:define>
                        </ui:decorate>
                    </ui:define>
                    <h:inputTextarea id="sampleArea" readonly="true" style="width: 100%"
                                     value="#{(configBeanGui.getSelectedConfig().getSample()!=null)?
                                configBeanGui.getSelectedConfig().getSample():'N/A'}"
                                     rows="8" maxlength="2048">
                    </h:inputTextarea>
                </s:decorate>
            </s:div>

            <ui:define name="popup_footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.mca.Return']}"
                                   onclick="jq162('#view_config').modal('hide');"
                                   execute="@this"/>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
